// form validation function //
function validate(form) {
  var user = form.user.value;
  var pass = form.pass.value;
  var cpass = form.cpass.value;
  var email = form.email.value;
  var realname = form.realname.value;
  var cmnd = form.cmnd.value;
  var address = form.address.value;
  var phone = form.phone.value;

  
  var StringReg = /^[a-zA-Z0-9]+(([\'\%\- ][a-zA-Z0-9])?[a-zA-Z0-9]*)*$/;
  var special = /[%']/;
  var emailRegex = /^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$/;
 var DigitReg = /^[0-9]+(([0-9])?[0-9]*)*$/;
 
 
  if(user == "") {
    inlineMsg('user','Chưa nhập Tài Khoản',2);
    document.getElementById("user").style.backgroundColor = "pink";
    return false;
  }
  if(!user.match(StringReg) || user.length < 6) {
    inlineMsg('user','Chứa Kí tự đặc biệt hoặc ít hơn 6 kí tự',2);
    document.getElementById("user").style.backgroundColor = "pink";
    return false;
  }
  if(pass == "") {
    inlineMsg('pass','Chưa nhập Mật Khẩu',2);
    document.getElementById("pass").style.backgroundColor = "pink";
    return false;
  }
  if(!pass.match(StringReg) || pass.length < 6) {
    inlineMsg('pass','Chứa Kí tự đặc biệt hoặc ít hơn 6 kí tự',2);
    document.getElementById("pass").style.backgroundColor = "pink";
    return false;
  }
  if(cpass != pass) {
    inlineMsg('cpass','Nhập lại Mật Khẩu không đúng',2);
    document.getElementById("cpass").style.backgroundColor = "pink";
    return false;
  }
    if(email == "") {
    inlineMsg('email','Chưa nhập Email',2);
    document.getElementById("email").style.backgroundColor = "pink";
    return false;
  }
  if(!email.match(emailRegex)) {
    inlineMsg('email','Email không đúng định dạng');
    document.getElementById("email").style.backgroundColor = "pink";
    return false;
  }
  
  
 if(realname == "") {
    inlineMsg('realname','Chưa nhập Tên thật',2);
    document.getElementById("realname").style.backgroundColor = "pink";
    return false;
  } 
  if(realname.match(special)) {
    inlineMsg('realname','Chứa kí tự đặc biệt');
    document.getElementById("realname").style.backgroundColor = "pink";
    return false;
  }
  
 if(cmnd == "") {
    inlineMsg('cmnd','Chưa nhập CMND',2);
    document.getElementById("cmnd").style.backgroundColor = "pink";
    return false;
  } 
  if(!cmnd.match(DigitReg) || cmnd.length < 7) {
    inlineMsg('cmnd','CMND không đúng');
    document.getElementById("cmnd").style.backgroundColor = "pink";
    return false;
  }  
  
  if(address == "") {
    inlineMsg('address','Chưa nhập Địa Chỉ',2);
    document.getElementById("address").style.backgroundColor = "pink";
    return false;
  } 
  if(address.match(special) || address.length < 6) {
    inlineMsg('address','Chứa kí tự đặc biệt hoặc quá ngắn');
    document.getElementById("address").style.backgroundColor = "pink";
    return false;
  }  
   if(phone == "") {
    inlineMsg('phone','Chưa nhập Địa Chỉ',2);
    document.getElementById("phone").style.backgroundColor = "pink";
    return false;
  } 
  if(!phone.match(DigitReg) || phone.length < 6) {
    inlineMsg('phone','Không hợp lệ hoặc quá ngắn');
    document.getElementById("phone").style.backgroundColor = "pink";
    return false;
  }   
  
  
  
  
  return true;
}

// START OF MESSAGE SCRIPT //

var MSGTIMER = 20;
var MSGSPEED = 5;
var MSGOFFSET = 3;
var MSGHIDE = 3;

// build out the divs, set attributes and call the fade function //
function inlineMsg(target,string,autohide) {
  var msg;
  var msgcontent;
  if(!document.getElementById('msg')) {
    msg = document.createElement('div');
    msg.id = 'msg';
    msgcontent = document.createElement('div');
    msgcontent.id = 'msgcontent';
    document.body.appendChild(msg);
    msg.appendChild(msgcontent);
    msg.style.filter = 'alpha(opacity=0)';
    msg.style.opacity = 0;
    msg.alpha = 0;
  } else {
    msg = document.getElementById('msg');
    msgcontent = document.getElementById('msgcontent');
  }
  msgcontent.innerHTML = string;
  msg.style.display = 'block';
  var msgheight = msg.offsetHeight;
  var targetdiv = document.getElementById(target);
  targetdiv.focus();
  var targetheight = targetdiv.offsetHeight;
  var targetwidth = targetdiv.offsetWidth;
  var topposition = topPosition(targetdiv) - ((msgheight - targetheight) / 2);
  var leftposition = leftPosition(targetdiv) + targetwidth + MSGOFFSET;
  msg.style.top = topposition + 'px';
  msg.style.left = leftposition + 'px';
  clearInterval(msg.timer);
  msg.timer = setInterval("fadeMsg(1)", MSGTIMER);
  if(!autohide) {
    autohide = MSGHIDE;  
  }
  window.setTimeout("hideMsg()", (autohide * 1000));
}

// hide the form alert //
function hideMsg(msg) {
  var msg = document.getElementById('msg');
  if(!msg.timer) {
    msg.timer = setInterval("fadeMsg(0)", MSGTIMER);
  }
}

// face the message box //
function fadeMsg(flag) {
  if(flag == null) {
    flag = 1;
  }
  var msg = document.getElementById('msg');
  var value;
  if(flag == 1) {
    value = msg.alpha + MSGSPEED;
  } else {
    value = msg.alpha - MSGSPEED;
  }
  msg.alpha = value;
  msg.style.opacity = (value / 100);
  msg.style.filter = 'alpha(opacity=' + value + ')';
  if(value >= 99) {
    clearInterval(msg.timer);
    msg.timer = null;
  } else if(value <= 1) {
    msg.style.display = "none";
    clearInterval(msg.timer);
  }
}

// calculate the position of the element in relation to the left of the browser //
function leftPosition(target) {
  var left = 0;
  if(target.offsetParent) {
    while(1) {
      left += target.offsetLeft;
      if(!target.offsetParent) {
        break;
      }
      target = target.offsetParent;
    }
  } else if(target.x) {
    left += target.x;
  }
  return left;
}

// calculate the position of the element in relation to the top of the browser window //
function topPosition(target) {
  var top = 0;
  if(target.offsetParent) {
    while(1) {
      top += target.offsetTop;
      if(!target.offsetParent) {
        break;
      }
      target = target.offsetParent;
    }
  } else if(target.y) {
    top += target.y;
  }
  return top;
}

// preload the arrow //
if(document.images) {
  arrow = new Image(7,80); 
  arrow.src = "images/msg_arrow.gif"; 
}